Patch "selftests: devlink: fix the fd redirect in dummy_reporter_test" has been added to the 6.0-stable tree

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This is a note to let you know that I've just added the patch titled

    selftests: devlink: fix the fd redirect in dummy_reporter_test

to the 6.0-stable tree which can be found at:
    http://www.kernel.org/git/?p=linux/kernel/git/stable/stable-queue.git;a=summary

The filename of the patch is:
     selftests-devlink-fix-the-fd-redirect-in-dummy_repor.patch
and it can be found in the queue-6.0 subdirectory.

If you, or anyone else, feels it should not be added to the stable tree,
please let <stable@xxxxxxxxxxxxxxx> know about it.



commit 1b8fad1aef0121c0fa67e574ffc582ddf1f72e95
Author: Jakub Kicinski <kuba@xxxxxxxxxx>
Date:   Wed Dec 14 18:01:01 2022 -0800

    selftests: devlink: fix the fd redirect in dummy_reporter_test
    
    [ Upstream commit 2fc60e2ff972d3dca836bff0b08cbe503c4ca1ce ]
    
    $number + > bash means redirect FD $number, e.g. commonly
    used 2> redirects stderr (fd 2). The test uses 8192> to
    write the number 8192 to a file, this results in:
    
      ./devlink.sh: line 499: 8192: Bad file descriptor
    
    Oddly the test also papers over this issue by checking
    for failure (expecting an error rather than success)
    so it passes, anyway.
    
    Fixes: ff18176ad806 ("selftests: Add a test of large binary to devlink health test")
    Signed-off-by: Jakub Kicinski <kuba@xxxxxxxxxx>
    Signed-off-by: David S. Miller <davem@xxxxxxxxxxxxx>
    Signed-off-by: Sasha Levin <sashal@xxxxxxxxxx>

diff --git a/tools/testing/selftests/drivers/net/netdevsim/devlink.sh b/tools/testing/selftests/drivers/net/netdevsim/devlink.sh
index 9de1d123f4f5..a08c02abde12 100755
--- a/tools/testing/selftests/drivers/net/netdevsim/devlink.sh
+++ b/tools/testing/selftests/drivers/net/netdevsim/devlink.sh
@@ -496,8 +496,8 @@ dummy_reporter_test()
 
 	check_reporter_info dummy healthy 3 3 10 true
 
-	echo 8192> $DEBUGFS_DIR/health/binary_len
-	check_fail $? "Failed set dummy reporter binary len to 8192"
+	echo 8192 > $DEBUGFS_DIR/health/binary_len
+	check_err $? "Failed set dummy reporter binary len to 8192"
 
 	local dump=$(devlink health dump show $DL_HANDLE reporter dummy -j)
 	check_err $? "Failed show dump of dummy reporter"



[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Index of Archives]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux